# frozen_string_literal: true

require 'net/http'

module Cfgd
  # provides some basic checks
  class Check < Guide
    def self.connectable?
      debug "#{name}.#{__method__}"
      begin
        Net::HTTP.get(URI.parse('http://health.fsrv.services:8080/v1/addr')).chop
        true
      rescue StandardError
        false
      end
    end
  end
end
