# frozen_string_literal: true

# Enum inspired by puppets enum. Only for value validation
class Enum
  @options = []
  attr_accessor :options
  def initialize(*options)
    @options = options
  end

  def check(tocheck)
    @options.include?(tocheck)
  end
end
